Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 788388 - <mail-client/mutt-2.0.7: Out of bounds read in IMAP parser (CVE-2021-32055)
Summary: <mail-client/mutt-2.0.7: Out of bounds read in IMAP parser (CVE-2021-32055)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B3 [glsa+ cve]
Keywords:
Depends on:
Blocks: CVE-2021-32055
  Show dependency tree
 
Reported: 2021-05-05 16:37 UTC by Sam James
Modified: 2021-05-26 08:07 UTC (History)
1 user (show)

See Also:
Package list:
mail-client/mutt-2.0.7
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2021-05-05 16:37:34 UTC
See tracker.

Please let us know when ready to stable.
Comment 1 Fabian Groffen gentoo-dev 2021-05-05 18:38:48 UTC
ready for stable, changes since 2.0.6 are minimal, which has been running fine here.
Comment 2 Sam James archtester gentoo-dev Security 2021-05-05 18:48:02 UTC
(In reply to Fabian Groffen from comment #1)
> ready for stable, changes since 2.0.6 are minimal, which has been running
> fine here.

Perfect, thank you!
Comment 3 Sam James archtester gentoo-dev Security 2021-05-06 10:04:25 UTC
amd64 done
Comment 4 Sam James archtester gentoo-dev Security 2021-05-06 10:07:02 UTC
x86 done
Comment 5 Rolf Eike Beer archtester 2021-05-06 14:25:09 UTC
sparc stable
Comment 6 Sam James archtester gentoo-dev Security 2021-05-06 21:20:38 UTC
arm done
Comment 7 Sam James archtester gentoo-dev Security 2021-05-06 21:22:35 UTC
ppc64 done
Comment 8 Sam James archtester gentoo-dev Security 2021-05-07 13:33:16 UTC
ppc done

all arches done
Comment 9 Sam James archtester gentoo-dev Security 2021-05-07 13:34:03 UTC
Please cleanup, thanks!
Comment 10 Larry the Git Cow gentoo-dev 2021-05-07 13:42:13 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=20d61bcf9a07b2840b1b36041c892e54a9bb3669

commit 20d61bcf9a07b2840b1b36041c892e54a9bb3669
Author:     Fabian Groffen <grobian@gentoo.org>
AuthorDate: 2021-05-07 13:41:57 +0000
Commit:     Fabian Groffen <grobian@gentoo.org>
CommitDate: 2021-05-07 13:41:57 +0000

    mail-client/mutt: cleanup
    
    Bug: https://bugs.gentoo.org/788388
    Package-Manager: Portage-3.0.18, Repoman-3.0.2
    Signed-off-by: Fabian Groffen <grobian@gentoo.org>

 mail-client/mutt/Manifest             |   4 -
 mail-client/mutt/mutt-2.0.4-r1.ebuild | 262 ----------------------------------
 mail-client/mutt/mutt-2.0.6.ebuild    | 262 ----------------------------------
 3 files changed, 528 deletions(-)
Comment 11 Thomas Deutschmann gentoo-dev Security 2021-05-25 21:58:45 UTC
Added to an existing GLSA request.
Comment 12 GLSAMaker/CVETool Bot gentoo-dev 2021-05-26 08:07:26 UTC
This issue was resolved and addressed in
 GLSA 202105-05 at https://security.gentoo.org/glsa/202105-05
by GLSA coordinator Thomas Deutschmann (whissi).